Package it.ernytech.tdlib

## Class TdApi.NetworkStatistics

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.NetworkStatistics

Enclosing class:
  TdApi

    public static class TdApi.NetworkStatistics
    extends TdApi.Object

A full list of available network statistic entries.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.NetworkStatisticsEntry[]` `entries` Network statistics entries.
`int` `sinceDate` Point in time (Unix timestamp) when the app began collecting statistics.

### Constructor Summary

Constructors
`NetworkStatistics()` Default constructor.
`NetworkStatistics​(int sinceDate, TdApi.NetworkStatisticsEntry[] entries)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### sinceDate

    public int sinceDate

Point in time (Unix timestamp) when the app began collecting statistics.

#### entries

    public TdApi.NetworkStatisticsEntry[] entries

Network statistics entries.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### NetworkStatistics

    public NetworkStatistics()

Default constructor.

#### NetworkStatistics

    public NetworkStatistics​(int sinceDate,
                             TdApi.NetworkStatisticsEntry[] entries)

Constructor for initialization of all fields.

Parameters:
  `sinceDate` - Point in time (Unix timestamp) when the app began collecting statistics.
  `entries` - Network statistics entries.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR